<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/constants/menu");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl="Аватар";
$ref = rand(1000, 9999);
$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$kabinet = trim($banner[4]);

/////////////////////////////////////////////////////////////
$d = trim(htmlspecialchars(mysql_escape_string($_GET['d'])));
/////////////////////////////////////////////////////////////

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";


 if($_GET['d'] == 'yes')
 {
 echo"Аватар успешно удален<br/>";
 }

 if($_GET['d'] == 'no')
 {
 echo"При удалении аватара  произошла ошибка<br/>";
 }

if(isset($_GET['case'])) $case = $_GET['case'];
else $case = "";



switch($case)
{
case '':



  $onesx = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."';");
  $priverkaa = mysql_fetch_array($onesx);
  if ($priverkaa['avatar'])
  {
            echo"Ваш аватар:<br/>";
            echo "<img src=\"res/avatars/".$priverkaa['avatar']."\" alt=\"avatar\" />";
            echo "<br/><a href=\"avatars.php?".SID."&amp;ver=wml\">Выбрать другой</a>\n";
            echo "<br/><a href=\"avatar.php?".SID."&amp;ver=wml&amp;case=del&amp;f=".$file."\">Удалить</a>\n";
  }
  else
  {
  echo "У вас не установлен аватар!<br/>\n";
  echo "<a href=\"avatars.php?".SID."&amp;ver=wml\">Установить</a><br/>\n";
  }

break;


case 'del':

  if(mysql_query ("Update chat_users set avatar='' where id ='".$id."'"))
  {
  header("Location: avatar.php?".SID."&ver=wml&d=yes");
  }
  else
  {
  header("Location: avatar.php?".SID."&ver=wml&d=no");
  }

break;
}


echo"<br/>";
echo "• <a href=\"/kabinet/html\">Личный кабинет</a><br/>\n";
echo "• <a href=\"/menu/html\">В прихожую</a><br/>\n";
include('banners/kabinet');
echo"$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

 if($_GET['d'] == 'yes')
 {
 echo"<div class=\"d1\">Аватар успешно удален</div>";
 }
 if($_GET['d'] == 'no')
 {
 echo"<div class=\"d1\">При удалении аватара  произошла ошибка</div>";
 }

if(isset($_GET['case'])) $case = $_GET['case'];
else $case = "";
switch($case)
{
case '':

  $onesx = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '1';");
  $priverkaa = mysql_fetch_array($onesx);
  if ($priverkaa['avatar'])
  {
            echo"Ваш аватар:<br/>";
            echo "<img src=\"fr.php?id=".$priverkaa['avatar']."\" alt=\"avatar\" />";
            echo "<br/><a href=\"avatars.php?".SID."&amp;ver=html\">Выбрать другой</a>\n";
            echo "<br/><a href=\"avatar.php?".SID."&amp;ver=html&amp;case=del&amp;f=".$file."\">Удалить</a>\n";

  }
  else
  {
  echo "У вас не установлен аватар!<br/>\n";
  echo "<a href=\"avatars.php?".SID."&amp;ver=html\">Установить</a><br/>\n";
  }

break;



case 'del':

  if(mysql_query ("Update chat_users set avatar='' where id ='".$id."'"))
  {
  header("Location: avatar.php?".SID."&ver=html&d=yes");
  }
  else
  {
  header("Location: avatar.php?".SID."&ver=html&d=no");
  }

break;
}












echo '<div class="d1">';
echo "• <a href=\"/kabinet/html\">Личный кабинет</a><br/>\n";
echo "• <a href=\"/menu/html\">В прихожую</a><br/>\n";
include('banners/kabinet');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";

break;
}
?>